package Controll 
{
	import event.FishEatEvent;
	import event.PlayerHurtEvent;
	import event.HitObjectEvent;
	import Controll.FishEatCommand;
	import Controll.PlayerHurtCommand;
	import flash.events.EventDispatcher;
	
	/**
	 * ...
	 * @author june
	 */
	public class HitObjectCommand extends EventDispatcher
	{
		
		public function HitObjectCommand() 
		{
			this.addEventListener(HitObjectEvent.HITOBJECT, hitObjectHandler);
		}
		
		private function hitObjectHandler(e:HitObjectEvent):void
		{
			if (e.playerTarget.state > e.fishTarget.state)
			{
				var fishEatEvt:FishEatEvent = new FishEatEvent(FishEatEvent.FISHEAT);
				fishEatEvt.fishTarget = e.fishTarget;
				
				var fishEatCmd:FishEatCommand = new FishEatCommand();
				fishEatCmd.dispatchEvent(fishEatEvt);
				
			}else
			{
				var playHurtEvt:PlayerHurtEvent = new PlayerHurtEvent(PlayerHurtEvent.PLAYERHURT);
				playHurtEvt.fishTarget = e.fishTarget;
				
				var playHurtCmd:PlayerHurtCommand = new PlayerHurtCommand();
				playHurtCmd.dispatchEvent(playHurtEvt)
			}
			
		}
	}

}