package event 
{
	import flash.events.Event;
	import view.Fish;
	import view.Player;
	
	/**
	 * ...
	 * @author june
	 */
	public class HitObjectEvent extends Event 
	{
		public var fishTarget:Fish;
		public var playerTarget:Player;
		
		public static const HITOBJECT:String = "hitObject";
		
		public function HitObjectEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) 
		{ 
			super(type, bubbles, cancelable);
			
		} 
		
		public override function clone():Event 
		{ 
			return new HitObjectEvent(type, bubbles, cancelable);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("HitObjectEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}