package view 
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import model.DataModel;
	/**
	 * ...
	 * @author june
	 */
	public class Fish extends MovieClip
	{
		private var _speed:uint = 0;
		public var state:uint = Math.floor(Math.random() * 10 + 1);
		private var _beginPart:String;
		
		public function Fish() 
		{
			var speed:uint = Math.floor(Math.random() * 10 + 3);
			_speed = speed;
			
			this.y = Math.random() * 400;
			
			var dis:uint = Math.floor(Math.random() * 2 + 1)
			if (dis == 1) _beginPart = "left";
			if (dis == 2) {_beginPart = "right"; this.x = 600}
			
			this.scaleX = this.scaleX * state;
			this.scaleY = this.scaleY * state;
			
			if(_beginPart == "left") this.scaleX = -1 * this.scaleX;
			
			this.addEventListener(Event.ENTER_FRAME, moveHandler);
		}
		
		private function moveHandler(e:Event):void
		{
			if (_beginPart == "left")
			{
				if (this.x > stage.stageWidth + this.width)
				{
					fishDie();
				}
				else 
				{
					this.x += _speed;
				}
			}
			else if (_beginPart == "right")
			{
				if (this.x < 0 - this.width)
				{
					fishDie();
				}
				else 
				{
					this.x -= _speed;
				}
			}
		}
		
		public function fishDie():void
		{
			this.parent.removeChild(this);
			this.removeEventListener(Event.ENTER_FRAME, moveHandler);
		}
		
	}

}